﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xbs-02 -->
    <head>
	<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
	</title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
  <tr>
    <td height="120" align="left" style="background-image: url(images/logobg.gif);background-repeat: no-repeat;background-position: right top;"><img src="images/space.gif" width="770" height="10" />
      <table width="500" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="100" rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
        <td align="left" class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
      </tr>
      <tr>
        <td align="left" valign="top" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
      </tr>
    </table></td>
  </tr>
  <tr align="center">
    <td height="40" align="left" valign="top" background="images/tmenubg.gif"><table height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
	   <td width="44"><img src="images/space.gif" width="44" height="8" /></td>
        <xsl:call-template name="TOP-MENU"/>
        <td width="40"><img src="images/space.gif" width="40" height="8" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="173" align="left" valign="top" background="images/headerbg.jpg">
	<table width="100%" height="100%" style="background-image: url(images/header.jpg);background-repeat: no-repeat;background-position: right top;" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td width="100%" height="100%" align="left" valign="top"></td>
        </tr>
    </table></td>
  </tr>
  <tr>
    <td height="100%" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="22" height="100%" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="44" align="left" valign="top"><img src="images/left.gif" width="22" height="44" /></td>
          </tr>
          <tr>
            <td height="100%" align="left" valign="top" background="images/bg2.gif"><img src="images/bg2.gif" width="20" height="20" /></td>
          </tr>
          <tr>
            <td height="1" align="left" valign="top" bgcolor="#D1D2D3"><img src="images/space.gif" width="22" height="1" /></td>
          </tr>
          <tr>
            <td height="34" align="left" valign="top" bgcolor="#EEEEEE"></td>
          </tr>
        </table></td>
        <td rowspan="5" bgcolor="#D1D2D3" width="1"><img src="images/space.gif" width="1" height="100%" /></td>
        <td width="100%" height="100%" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="100%" height="13" align="left" valign="top"><img src="images/bottom2.gif" width="175" height="13" /></td>
            <td width="258" background="images/bg.gif"><img src="images/space.gif" width="258" height="1" /></td>
          </tr>
          <tr align="left" valign="middle">
            <td height="31" colspan="2" style="background-image: url(images/left2.gif);background-repeat: no-repeat;background-position: left bottom;">
			<table  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                <td><img src="images/text_icon.gif" width="17" height="11" /></td>
              </tr>
            </table></td>
            </tr>
          <tr align="left" valign="top">
            <td height="100%" colspan="2" class="pageContent" name="SB_stretch">
	<xsl:apply-templates select="PAGE-CONTENT"/></td>
            </tr>
        </table></td>
        <td rowspan="5" bgcolor="#D1D2D3" width="1"><img src="images/space.gif" width="1" height="100%" /></td>
        <td width="229" height="100%" align="left" valign="top" background="images/bg.gif">
		<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/right.gif);background-repeat: no-repeat;background-position: left bottom;">
          <tr>
            <td height="100%" align="center" valign="top">
			<img src="images/space.gif" width="200" height="30" />
              <table width="80%"  border="0" cellspacing="0" cellpadding="0">
              <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
            </table>
			</td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td bgcolor="#D1D2D3" width="22"><img src="images/space.gif" width="22" height="1" /></td>
        <td bgcolor="#D1D2D3" width="100%"><img src="images/space.gif" width="100%" height="1" /></td>
        <td bgcolor="#D1D2D3" width="229"><img src="images/space.gif" width="229" height="1" /></td>
      </tr>
      <tr>
        <td width="22" height="50"></td>
        <td width="100%" align="left" style="background-image: url(images/bottom.gif);background-repeat: no-repeat;background-position: left bottom;"><table  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><img src="images/space.gif" width="28" height="10" /></td>
            <xsl:call-template name="BOTTOM-MENU"/>
            <td><img src="images/space.gif" width="40" height="10" /></td>
          </tr>
        </table></td>
        <td width="229" style="background-image: url(images/bottom.gif);background-repeat: no-repeat;background-position: left bottom;"></td>
      </tr>
      <tr>
        <td bgcolor="#D1D2D3" width="22"><img src="images/space.gif" width="22" height="1" /></td>
        <td bgcolor="#D1D2D3" width="100%"><img src="images/space.gif" width="100%" height="1" /></td>
        <td bgcolor="#D1D2D3" width="229"><img src="images/space.gif" width="229" height="1" /></td>
      </tr>
      <tr>
        <td width="22" height="70"></td>
        <td width="100%"> <div class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div></td>
        <td width="229" bgcolor="#EEEEEE"></td>
      </tr>
    </table></td>
  </tr>
</table>
</BODY>
	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
<td width="15" class="smenu"><img src="images/subicon.gif" width="15" height="9" /></td>
<td class="smenu"><span class="smenub">
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
<td width="15" class="smenu"><img src="images/subicon.gif" width="15" height="9" /></td>
<td class="smenu">
<a href="{@HREF}" class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	<tr>
<td colspan="2"><img src="images/space.gif" width="1" height="10" /></td>
    </tr>
	</xsl:if>
</xsl:template>	
<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
		<td class="bmenu"><a href="{@HREF}" class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
		<td class="bmenu"><a href="{@HREF}" class="bmenub" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		 <td width="19"><img src="images/bgd.gif" width="26" height="10" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>

<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
