<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>
<xsl:template match="LAYOUT">
<xsl:variable name="cID" select="@ID"/>

<html>
<!-- xeug-05 -->
<head>
<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
</head>

<body style="margin:0px; ">
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td valign="top" style="background:url('images/bg.gif');">
	<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td style="background:url('images/5.gif') no-repeat; background-repeat: repeat-x;">
        <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td style="background:url('images/header_1.jpg') no-repeat;">
            <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td valign="top" height="100%" style="background:url('images/header.jpg') no-repeat; background-position:right top;">
		<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td><div style="width:100%; height:93px;">
                      <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                        <tr>
                          <td  height="80">
		<!-- LOGO -->
			<table  border="0" cellspacing="0" cellpadding="0">
                            <tr>
                              <td width="40" rowspan="2"><div style="width:40px; "></div></td>
                              <td width="30"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
                              
                             
                              <td class="company" style="padding-right:30px;">
                               
                              <xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
                        
                              </td>
                              
                            </tr>
                            <tr>
                              <td><div style="width:30px;"></div></td>
                              <td class="slogan">
                           <xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
                              </td>
                            </tr>
                          </table>
		<!-- END LOGO-->
						  </td>
                          <td align="center" valign="top">
		<!--  MENU -->
			<table  border="0" cellspacing="0" cellpadding="0">
			     <tr>
			      <td height="25"></td>
			      </tr>
                            <tr>
                              <xsl:call-template name="TOP-MENU"/>
                            </tr>
                          </table>
		<!-- END MENU -->
						  </td>
                        </tr>
                      </table>
                    </div> </td>
                  </tr>
                  <tr>
                    <td height="180" valign="top" style="background:url('images/headers.gif'); background-repeat:no-repeat;"><div style="width:800px"></div></td>
                  </tr>
                  <tr>
                    <td valign="top" height="100%">
                    <table width="100%" border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td width="25%" rowspan="2" valign="top">
						<table width="100%"  border="0" cellpadding="0" cellspacing="0">
                          <tr>
                            <td width="30"><div style="width:30px; "></div></td>
                            <td height="300" valign="top">
		<!-- SUBMENU --> 
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
                      <xsl:call-template name="SUB-MENU">
               		<xsl:with-param name="pageID" select="@ID"/>                            
                        </xsl:call-template> 
                   </table>
		<!-- END SUBMENU --> 
							</td>
                            <td width="30"><div style="width:30px;"></div></td>
                          </tr>
                        </table>
                        <div style="width:200px; "></div>
                        </td>
                        <td style="height:80px; "></td>
                      </tr>
                      <tr>
			 <!--CONTENT -->
                        <td valign="top" class="pageContent" name="SB_stretch">
			<table border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td class="text-header" >
                            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
                            </td>
                            <td style="padding-left:5px">
                            <img src="images/7.gif" width="19" height="21" border="0" alt=""/></td>
                          </tr>
                        </table>
				
	   		<table width="100%">
                      <tr>
                      <td class="pageContent" name="SB_stretch" style="padding-right:30px;">
                     <xsl:apply-templates select="PAGE-CONTENT"/>
                          </td>
                        </tr>
                        </table>
                        
			</td>
			<!-- END CONTENT -->
                      </tr>
                    </table></td>
                    </tr>
                  <tr>
                    <td height="142" valign="bottom">
                    <table width="100%"  border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td valign="bottom" height="142" style="background:url('images/footer.gif') no-repeat; ">
			<table width="25%"  border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td width="30">
                            <div style="width:30px;">
                            </div> 
                            </td>
					<!-- FOOTER -->
                            <td class="footer">
                            <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
                            </td>
					<!-- END FOOTER -->
                          </tr>
                          <tr>
                            <td colspan="2"><div style="height:25px;"></div></td>
                          </tr>
                        </table>
                        </td>
                      </tr>
                    </table></td>
                  </tr>
                </table>                  
                  </td>
              </tr>
            </table></td>
          </tr>
        </table>
          </td></tr>
    </table></td>
  </tr>
</table>
</body>
</html>



</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr height="30">
				<td class="asubmenu" style="padding-left: 10px; width: 100%; background-color:#ce004b;">
				<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
				</td>
				<td style="background-color:#ce004b;padding-right:10px;">
				<img src="images/6.gif" border="0" alt=""/>
				</td>
			</tr>
	</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr height="30">
					<td style="padding-left: 10px; width: 100%;">
					<a href="{@HREF}" class="submenu">
					<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					
					<td style="padding-right:10px;">
				
					<img src="images/6.gif" border="0" alt=""/>
					
					</td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="1" style="background:url('images/hr.gif');background-repeat:repeat-x;background-position:center;padding-top:3px;padding-bottom:3px;" width="100%">
      <div style="height:1px"></div>
    </td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
		
			<td align="center"><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
		   
			<td align="center"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="30" align="center" rowspan="2">
			</td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>

