<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- xkat-01 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="19" background="images/xkat_03.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td align="left"><img src="images/xkat_01.jpg" width="243" height="19" alt="" /></td>
        <td align="right"><img src="images/xkat_04.jpg" width="41" height="19" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="79" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="21" align="right" valign="bottom" background="images/xkat_05.jpg">
		<img src="images/xkat_11.jpg" width="21" height="69" alt="" /></td>
        <td width="191" align="center" valign="top" background="images/xkat_12.jpg">
		<table width="200" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="209"><img src="images/spacer.gif" width="209" height="10" /></td>
          </tr>
        </table>
<!-- LOGO -->
          <table width="195" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="40" valign="top"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0"/></a></td>
              <td width="151" align="left" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
            </tr>
          </table>
<!-- END LOGO -->
		  </td>
        <td width="24" valign="bottom"><img src="images/xkat_07.jpg" width="24" height="79" alt="" /></td>
        <td width="100%" valign="bottom" background="images/xkat_08.jpg">
<!-- END MENU -->
		<table height="40" border="0" cellpadding="0" cellspacing="0">
          <tr>
		  <xsl:call-template name="TOP-MENU"/>
          </tr>
        </table>
<!-- END MENU -->
		</td>
        <td width="43"><img src="images/xkat_10.jpg" width="43" height="79" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="189" background="images/xkat_15.jpg"><table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="15" valign="top"><img src="images/xkat_13.jpg" width="15" height="189" alt="" /></td>
        <td width="100%" align="right" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: right bottom; padding-right: 60px;"><table border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="10"><img src="images/line.gif" width="2" height="62" /></td>
            <td align="left" width="250" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table></td>
        <td width="14" valign="top" bgcolor="#FFFFFF"><img src="images/xkat_17.jpg" width="14" height="185" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td  width="100%" height="100%"  valign="top"><table width="100%" height="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="100%" height="100%" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="100%" align="left" background="images/xkat_20.jpg"><img src="images/xkat_19.jpg" width="54" height="26" alt="" /></td>
            <td width="467" align="right"><img src="images/headerbt.jpg" width="467" height="26" alt="" /></td>
          </tr>
        </table>          
          <table border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td><img src="images/xkat_28.jpg" width="48" height="30" alt="" /></td>
              <td background="images/xkat_29.jpg" class="text-header" style="padding-right: 15px; padding-left: 15px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
              <td><img src="images/xkat_32.jpg" width="39" height="30" alt="" /></td>
            </tr>
          </table>
		  <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="padding-right: 40px;padding-top: 20px; ">
            <tr>
              <td valign="top" width="100%" height="100%"  style="padding-right: 40px; padding-left: 40px; ">
<!-- CONTENT -->
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%">
	   		  <tr>
	   		    <td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch">
				<xsl:apply-templates select="PAGE-CONTENT"/>
				</td>
	   		</tr></table>
<!-- END CONTENT -->
			  </td>
            </tr>
          </table>
         </td>
        <td width="4" valign="top"><img src="images/xkat_23.jpg" width="4" height="29" alt="" /></td>
        <td width="197" valign="top" height="100%"><table width="197" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="135" height="191" valign="top" background="images/xkat_26.jpg">
<!-- SUBMENU -->
			<table width="135" border="0" cellspacing="0" cellpadding="0">
			<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
            </table>
<!-- END SUBMENU -->
			</td>
            <td width="62" align="center" valign="middle" background="images/xkat_27.jpg"><div align="center">
			<br/>
			<img src="images/xkat_41.jpg" width="33" height="31" alt="" />
              </div>
            </td>
          </tr>
          <tr>
            <td><img src="images/xkat_48.jpg" width="135" height="20" alt="" /></td>
          <td width="62" align="center" valign="middle" background="images/xkat_27.jpg"><img src="images/xkat_49.jpg" width="62" height="20" alt="" /></td>
          </tr>
        </table></td>
        <td width="31" valign="top"><img src="images/xkat_25.jpg" width="28" height="152" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="15" height="48"><img src="images/xkat_52.jpg" width="15" height="48" alt="" /></td>
        <td width="100%" background="images/xkat_53.jpg"></td>
        <td width="4" align="right"><img src="images/xkat_56.jpg" width="4" height="48" alt="" /></td>
        <td width="31"><img src="images/xkat_57.jpg" width="31" height="48" alt="" /></td>
      <td width="170" background="images/xkat_59.jpg"><table width="100%" height="27"  border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td width="170" height="48" valign="top" style="background-image: url(images/xkat_61.jpg);
	background-repeat: no-repeat;
	background-position: right bottom;"><table width="170" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="211"><img src="images/spacer.gif" width="195" height="4" /></td>
            </tr>
            <tr>
              <td height="24" align="left"  valign="middle" class="footer">
<table width="165" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td valign="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
  </tr>
</table>

<!-- END FOOTER -->
			  </td>
            </tr>
          </table></td>
        </tr>
      </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="40" align="left" background="images/xkat_66.jpg" style="padding-right: 100px;
	padding-left: 50px;">
<!-- BOOTTOM MENU -->
	<table border="0" cellspacing="0" cellpadding="0">
      <tr>
	  <xsl:call-template name="BOTTOM-MENU"/>
      </tr>
    </table>
<!-- END BOOTTOM MENU -->
	</td>
  </tr>
  <tr>
    <td height="20" background="images/xkat_66.jpg"><img src="images/spacer.gif" width="200" height="20" /></td>
  </tr>
</table>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
  <tr>
       <td background="images/xkat_35.jpg" align="left" style="padding-top: 5px; padding-bottom: 5px; padding-left: 10px; padding-right: 10px;" class="asubmenu" ><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
   </tr>
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
              <tr>
                <td align="left" style="padding-top: 5px; padding-bottom: 5px; padding-left: 10px; padding-right: 10px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
              </tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
              <tr>
                <td><img src="images/xkat_34.jpg" width="135" height="2" alt="" /></td>
              </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">

<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:when>

           <!-- when active-->
           
           <xsl:otherwise>
<td><a href="{@HREF}"  class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
        <td width="30" align="center" class="bmenu">|</td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
